package cn.com.tenlion.organizationmanagement.pojo.bos.organization;

/**
 *
 * @ClassName: OrganizationBO
 * @Description: 组织管理
 * @Author: CodeFactory
 * @Date: 2021-04-28 11:06:42
 * @Version: 3.0
 **/
public class OrganizationBO {

    private String organizationId;
    private String organizationName;
    private Integer organizationUserNum;
    private String organizationPrincipal;
    private String organizationDesc;
    private String organizationImage;
    private String organizationType;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getOrganizationId() {
        return organizationId == null ? "" : organizationId.trim();
    }

    public void setOrganizationId(String organizationId) {
        this.organizationId = organizationId;
    }

    public String getOrganizationName() {
        return organizationName == null ? "" : organizationName.trim();
    }

    public void setOrganizationName(String organizationName) {
        this.organizationName = organizationName;
    }

    public Integer getOrganizationUserNum() {
        return organizationUserNum == null ? 0 : organizationUserNum;
    }

    public void setOrganizationUserNum(Integer organizationUserNum) {
        this.organizationUserNum = organizationUserNum;
    }

    public String getOrganizationPrincipal() {
        return organizationPrincipal == null ? "" : organizationPrincipal.trim();
    }

    public void setOrganizationPrincipal(String organizationPrincipal) {
        this.organizationPrincipal = organizationPrincipal;
    }

    public String getOrganizationDesc() {
        return organizationDesc == null ? "" : organizationDesc.trim();
    }

    public void setOrganizationDesc(String organizationDesc) {
        this.organizationDesc = organizationDesc;
    }

    public String getOrganizationImage() {
        return organizationImage == null ? "" : organizationImage.trim();
    }

    public void setOrganizationImage(String organizationImage) {
        this.organizationImage = organizationImage;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


    public String getOrganizationType() {
        return organizationType;
    }

    public void setOrganizationType(String organizationType) {
        this.organizationType = organizationType;
    }
}
